# Generated by Django 3.0.6 on 2021-05-21 19:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('myapp', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='attendee',
            name='first_volume',
        ),
        migrations.RemoveField(
            model_name='attendee',
            name='last_volume',
        ),
        migrations.RemoveField(
            model_name='attendee',
            name='volume_since',
        ),
        migrations.RemoveField(
            model_name='attendee',
            name='volume_until',
        ),
        migrations.AddField(
            model_name='attendee',
            name='active_since',
            field=models.DateField(db_index=True, null=True),
        ),
        migrations.AddField(
            model_name='attendee',
            name='active_until',
            field=models.DateField(db_index=True, null=True),
        ),
        migrations.AddField(
            model_name='attendee',
            name='first_appeared',
            field=models.DateField(db_index=True, null=True),
        ),
        migrations.AddField(
            model_name='attendee',
            name='last_appeared',
            field=models.DateField(db_index=True, null=True),
        ),
        migrations.CreateModel(
            name='AttendanceEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_year', models.DateField(db_index=True, null=True)),
                ('attendee_key', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='myapp.Attendee')),
                ('volume_key', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='myapp.Volume')),
            ],
        ),
    ]
